Bug 9330 - Patron duplication : should duplicate with empty title (salutation field)
Summary: Patron duplication : should duplicate with empty title (salutation field)
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Patrons (show other bugs)
Version: master
Hardware: All All
: P5 - low trivial (vote)
Target Milestone: ---
Assignee: Adrien SAURAT
QA Contact: Marcel de Rooy
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-12-31 11:12 UTC by Adrien SAURAT
Modified: 2014-05-26 21:04 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
proposed patch (1011 bytes, patch)
2012-12-31 11:14 UTC, Adrien SAURAT
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 9330: title field empty when duplicating a patron (1.09 KB, patch)
2012-12-31 13:24 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 9330: title field empty when duplicating a patron (1.13 KB, patch)
2013-02-01 07:39 UTC, Marcel de Rooy
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Adrien SAURAT 2012-12-31 11:12:16 UTC
[MT10720]

When duplicating a patron, the salutation/title box should not copy the value of the initial patron. The empty value should be selected instead.
Comment 1 Adrien SAURAT 2012-12-31 11:14:55 UTC Comment hidden (obsolete)
Comment 2 Owen Leonard 2012-12-31 13:24:20 UTC Comment hidden (obsolete)
Comment 3 Marcel de Rooy 2013-02-01 07:39:44 UTC
Created attachment 14991 [details] [review]
Bug 9330: title field empty when duplicating a patron

For a duplicated patron, the "Saluation" information
is now empty by default.

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 4 Marcel de Rooy 2013-02-01 07:43:32 UTC
Works as advertised. The need why this salutation should be empty, is not really made clear in the report description btw. But I do not see any harm in it.

Passed QA
Comment 5 Jared Camins-Esakov 2013-02-01 16:26:43 UTC
Why shouldn't the salutation be copied by default when duplicating a patron?
Comment 6 Owen Leonard 2013-02-01 16:49:05 UTC
(In reply to comment #5)
> Why shouldn't the salutation be copied by default when duplicating a patron?

I would say because the duplicate function would be used most often for members of the same family, where the odds are against everyone having the same title.
Comment 7 Jared Camins-Esakov 2013-02-01 17:01:12 UTC
Thanks for the explanation. That makes sense. This patch has been pushed to master.
Comment 8 Chris Cormack 2013-04-24 07:55:37 UTC
Pushed to 3.10.x will be in 3.10.6